Customer pools

List Project Customer Pools

Get customer pools in the project.

GET
/customer/projects/{projectId}/customer-pools/

Authorization

clientKeyHeader clientSecretHeader
x-client-key<token>

Client API key credential.

In: header

x-client-secret<token>

Client API secret credential.

In: header

Path Parameters

projectId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.dokaai.com/api/v1/dokaai/customer/projects/string/customer-pools/"
{
  "status": "success",
  "message": "string",
  "data": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "poolLevel": "organization",
      "globalAccess": true,
      "organization": {
        "id": "string",
        "name": "string"
      },
      "project": {
        "id": "string",
        "name": "string"
      },
      "isOwner": true,
      "accessLevel": "no_access"
    }
  ],
  "metaData": {
    "page": 0,
    "hasMore": true,
    "pageSize": 0,
    "count": 0
  },
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}